Package org.eclipse.microprofile.openapi.apps.airlines.exception

# Class NotFoundExceptionMapper

java.lang.Object
org.eclipse.microprofile.openapi.apps.airlines.exception.NotFoundExceptionMapper

All Implemented Interfaces:
  `jakarta.ws.rs.ext.ExceptionMapper<NotFoundException>`

public class NotFoundExceptionMapper extends Object implements jakarta.ws.rs.ext.ExceptionMapper<NotFoundException>

## Constructor Summary

Constructors
Constructor
Description
`NotFoundExceptionMapper()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`toResponse(NotFoundException t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NotFoundExceptionMapper

public NotFoundExceptionMapper()

## Method Details

### toResponse

public jakarta.ws.rs.core.Response toResponse(NotFoundException t)

Specified by:
  `toResponse` in interface `jakarta.ws.rs.ext.ExceptionMapper<NotFoundException>`